package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "AccountTotal", description = "用户账户统计对象")
public class AccountTotal {
    @ApiModelProperty("总收入")
    private BigDecimal totalInAmount = BigDecimal.ZERO;
    @ApiModelProperty("陪练课")
    private BigDecimal practiceAmount = BigDecimal.ZERO;
    @ApiModelProperty("陪练课-百分比")
    private BigDecimal practiceRate = BigDecimal.ZERO;
    @ApiModelProperty("直播课")
    private BigDecimal liveAmount = BigDecimal.ZERO;
    @ApiModelProperty("直播课-百分比")
    private BigDecimal liveRate = BigDecimal.ZERO;
    @ApiModelProperty("视频课")
    private BigDecimal videoAmount = BigDecimal.ZERO;
    @ApiModelProperty("视频课-百分比")
    private BigDecimal videoRate = BigDecimal.ZERO;
    @ApiModelProperty("乐谱")
    private BigDecimal musicAmount = BigDecimal.ZERO;
    @ApiModelProperty("乐谱-百分比")
    private BigDecimal musicRate = BigDecimal.ZERO;
    @ApiModelProperty("小酷AI推广")
    private BigDecimal vipShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("小酷AI推广-百分比")
    private BigDecimal vipShareRate = BigDecimal.ZERO;
    @ApiModelProperty("商品推荐")
    private BigDecimal mallShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("商品推荐-百分比")
    private BigDecimal mallShareRate = BigDecimal.ZERO;
    @ApiModelProperty("乐谱分润")
    private BigDecimal musicShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("乐谱分润-百分比")
    private BigDecimal musicShareRate = BigDecimal.ZERO;
    @ApiModelProperty("专辑分润")
    private BigDecimal albumShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("专辑分润-百分比")
    private BigDecimal albumShareRate = BigDecimal.ZERO;
    @ApiModelProperty("直播课分润")
    private BigDecimal liveShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("直播课分润-百分比")
    private BigDecimal liveShareRate = BigDecimal.ZERO;
    @ApiModelProperty("视频课分润")
    private BigDecimal videoShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("视频课分润-百分比")
    private BigDecimal videoShareRate = BigDecimal.ZERO;
    @ApiModelProperty("活动报名分润")
    private BigDecimal actiRegistShareAmount = BigDecimal.ZERO;
    @ApiModelProperty("活动报名分润-百分比")
    private BigDecimal actiRegistShareRate = BigDecimal.ZERO;


    @ApiModelProperty("时间（详情数据中使用）")
    private String timeStr;
    @ApiModelProperty("详情数据")
    private List<AccountTotal> infoList;

    public BigDecimal getAlbumShareAmount() {
        return albumShareAmount;
    }

    public void setAlbumShareAmount(BigDecimal albumShareAmount) {
        this.albumShareAmount = albumShareAmount;
    }

    public BigDecimal getAlbumShareRate() {
        return albumShareRate;
    }

    public void setAlbumShareRate(BigDecimal albumShareRate) {
        this.albumShareRate = albumShareRate;
    }

    public BigDecimal getTotalInAmount() {
        return totalInAmount;
    }

    public void setTotalInAmount(BigDecimal totalInAmount) {
        this.totalInAmount = totalInAmount;
    }

    public BigDecimal getPracticeAmount() {
        return practiceAmount;
    }

    public void setPracticeAmount(BigDecimal practiceAmount) {
        this.practiceAmount = practiceAmount;
    }

    public BigDecimal getPracticeRate() {
        return practiceRate;
    }

    public void setPracticeRate(BigDecimal practiceRate) {
        this.practiceRate = practiceRate;
    }

    public BigDecimal getLiveAmount() {
        return liveAmount;
    }

    public void setLiveAmount(BigDecimal liveAmount) {
        this.liveAmount = liveAmount;
    }

    public BigDecimal getLiveRate() {
        return liveRate;
    }

    public void setLiveRate(BigDecimal liveRate) {
        this.liveRate = liveRate;
    }

    public BigDecimal getVideoAmount() {
        return videoAmount;
    }

    public void setVideoAmount(BigDecimal videoAmount) {
        this.videoAmount = videoAmount;
    }

    public BigDecimal getVideoRate() {
        return videoRate;
    }

    public void setVideoRate(BigDecimal videoRate) {
        this.videoRate = videoRate;
    }

    public BigDecimal getMusicAmount() {
        return musicAmount;
    }

    public void setMusicAmount(BigDecimal musicAmount) {
        this.musicAmount = musicAmount;
    }

    public BigDecimal getMusicRate() {
        return musicRate;
    }

    public void setMusicRate(BigDecimal musicRate) {
        this.musicRate = musicRate;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<AccountTotal> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<AccountTotal> infoList) {
        this.infoList = infoList;
    }

    public BigDecimal getVipShareAmount() {
        return vipShareAmount;
    }

    public void setVipShareAmount(BigDecimal vipShareAmount) {
        this.vipShareAmount = vipShareAmount;
    }

    public BigDecimal getVipShareRate() {
        return vipShareRate;
    }

    public void setVipShareRate(BigDecimal vipShareRate) {
        this.vipShareRate = vipShareRate;
    }

    public BigDecimal getMallShareAmount() {
        return mallShareAmount;
    }

    public void setMallShareAmount(BigDecimal mallShareAmount) {
        this.mallShareAmount = mallShareAmount;
    }

    public BigDecimal getMallShareRate() {
        return mallShareRate;
    }

    public void setMallShareRate(BigDecimal mallShareRate) {
        this.mallShareRate = mallShareRate;
    }

    public BigDecimal getMusicShareAmount() {
        return musicShareAmount;
    }

    public void setMusicShareAmount(BigDecimal musicShareAmount) {
        this.musicShareAmount = musicShareAmount;
    }

    public BigDecimal getMusicShareRate() {
        return musicShareRate;
    }

    public void setMusicShareRate(BigDecimal musicShareRate) {
        this.musicShareRate = musicShareRate;
    }

    public BigDecimal getLiveShareAmount() {
        return liveShareAmount;
    }

    public void setLiveShareAmount(BigDecimal liveShareAmount) {
        this.liveShareAmount = liveShareAmount;
    }

    public BigDecimal getLiveShareRate() {
        return liveShareRate;
    }

    public void setLiveShareRate(BigDecimal liveShareRate) {
        this.liveShareRate = liveShareRate;
    }

    public BigDecimal getVideoShareAmount() {
        return videoShareAmount;
    }

    public void setVideoShareAmount(BigDecimal videoShareAmount) {
        this.videoShareAmount = videoShareAmount;
    }

    public BigDecimal getVideoShareRate() {
        return videoShareRate;
    }

    public void setVideoShareRate(BigDecimal videoShareRate) {
        this.videoShareRate = videoShareRate;
    }

    public BigDecimal getActiRegistShareAmount() {
        return actiRegistShareAmount;
    }

    public void setActiRegistShareAmount(BigDecimal actiRegistShareAmount) {
        this.actiRegistShareAmount = actiRegistShareAmount;
    }

    public BigDecimal getActiRegistShareRate() {
        return actiRegistShareRate;
    }

    public void setActiRegistShareRate(BigDecimal actiRegistShareRate) {
        this.actiRegistShareRate = actiRegistShareRate;
    }
}